jQuery( document ).ready(function( $ ) {
	$.post( ajaxurl, {
		action : 'p1cm-meta-load-data',
		post_id : $( '#post_ID' ).attr( 'value' )
	}, function( response ) {
//		console.log( response );
		var data = $.parseJSON( response );
		$( '#p1cm-internal-links' ).html( data.internal_links );
		$( '#p1cm-external-links' ).html( data.external_links );
		$( '#p1cm-has-image' ).html( data.has_image ? 'Yes' : 'No' );
		$( '#p1cm-has-video' ).html( data.has_video ? 'Yes' : 'No' );
		$( '#p1cm-has-author' ).html( data.has_author ? 'Yes' : 'No' );
		$( '#p1cm-has-publisher' ).html( data.has_publisher ? 'Yes' : 'No' );
		
		$( '#p1cm-data-loading' ).css( 'display', 'none' );
		$( '#p1cm-data-table' ).css( 'display', 'block' );
	});
});
